
CoCoA-5 - Bug #1781

GenReprCompute: SERIOUS ERROR

08 Feb 2024 22:02 - John Abbott

Status: Feedback Start date: 08 Feb 2024

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 90%

Category: bug Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.75 hour

Description

I have just sync'ed with CVS, and CoCoA5/tests/tut-CoCoLA3 gives SERIOUS ERROR

Oops!  Too late to invesigate now :-(

Related issues:

Related to CoCoALib - Design #1647: Suppress zero from ideal generators?  Det... Closed 20 Jan 2022

Related to CoCoALib - Bug #1205: SyzOfGens: bug with zero generators Closed 01 Aug 2018

Related to CoCoA-5 - Bug #643: GenRepr fails if there are zero generators Closed 29 Oct 2014

History

#1 - 09 Feb 2024 07:59 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 20

I get the same error with

GenRepr(1, ideal(x, x-1));

investigating

#2 - 09 Feb 2024 08:11 - Anna Maria Bigatti

- Related to Design #1647: Suppress zero from ideal generators?  Detect 1 and simplify generators? added

#3 - 09 Feb 2024 08:16 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 20 to 90

fixed and checked in.

GenReprCompute used SyzOfGens(ideal(concat([A], [ f in GensB | not(IsZero(f)) ]))) which, with the new cleaning on gens of ideals, behaves

wrongly.

Now we just call syz(concat([A], [ f in GensB | not(IsZero(f)) ])).

#4 - 09 Feb 2024 08:16 - Anna Maria Bigatti

- Subject changed from SERIOUS ERROR to GenReprCompute: SERIOUS ERROR
#5 - 09 Feb 2024 08:28 - Anna Maria Bigatti

- Related to Bug #1205: SyzOfGens: bug with zero generators added

#6 - 09 Feb 2024 08:42 - Anna Maria Bigatti

- Related to Bug #643: GenRepr fails if there are zero generators added
